Antworten auf Ihre häufigsten Fragen

Infos zur Abschaltung der PHP Version 7.1 (ausführliche Version)

Wenn Ihnen die nachfolgenden Informationen zu technisch sind, klicken sie [hier].
You can find the english version here.

Warum wird PHP 7.1 deaktiviert?

Da PHP den Sicherheitssupport für PHP 7.1 zum 01.12.2019 einstellt, werden wir aus Sicherheitsgründen die Version 7.1 ebenfalls vor diesem Datum deaktivieren.
Die Deaktivierung wird zum 29.10.2019 durchgeführt

Ihnen stehen ab diesem Datum die Version 7.2 und 7.3 zur Verfügung.


Werden in PHP 7.2 bzw. 7.3 wichtige Module entfernt oder wichtige Anpassungen vorgenommen?

Mit der PHP-Version 7.2 wird das Modul mcrypt entfernt und steht nicht mehr zur Verfügung.
Als Alternative kann das Modul openssl genutzt werden.

Die Version des ionCube Loaders ändert sich von Version 6.0.9 auf die Version 10.2.1 für PHP 7.2 und 7.3

Die PCRE Erweiterung wurde auf PCRE2 geupdatet, dies kann zu geringfügigen Verhaltensänderungen führen.

Sonstige Änderungen bei PHP 7.2

Sonstige Änderungen bei PHP 7.3


Welche Webanwendungen sind mit PHP 7.2 bzw. PHP 7.3 kompatibel?

Die folgende Tabelle zeigt Ihnen, welche gängigen Webanwendungen in welcher Version mit PHP 7.2 bzw. PHP 7.3 kompatibel sind. Bitte beachten Sie, dass es hierbei um Versionsangaben für die Grundinstallation geht, über installierte Plugins oder Themes können wir keine Aussage treffen.

Webanwendung

PHP 7.2 kompatible Version

PHP 7.3 kompatible Version

Contao

3.5.36 

3.5.36

Contenido

4.10

4.10

Drupal

7.59

8.6.4

Joomla

3.8

3.9.1

Magento

1.9.3.9 (Installation des Patches notwendig)

Nicht unterstützt

Magento 2

2.3

Nicht unterstützt

ModX Revolution

2.6.5

2.7.1

ModX Evolution

1.4

Inoffizieller Nachfolger

NextCloud

13

15

OwnCloud

10.0.5

Nicht unterstützt

Oxid

v6.1

v6.1.1

Redaxo

5.6

5.7

Shopware

5.3.5

5.6

Typo3

v7

v9

Wordpress

4.9

5.0.1

xt:Commerce

5.1

6.1

 

Was passiert, wenn ich nichts unternehme?

Sollten Sie nichts unternehmen, könnte es im schlimmsten Fall dazu kommen, dass Ihre Webseite nach der Abschaltung von PHP 7.1 nicht mehr erreichbar ist. Wir raten Ihnen daher, die Überprüfung Ihrer Webanwendung zügig durchzuführen.


Ich brauche Hilfe. An wen kann ich mich wenden?

Natürlich können Sie unseren Support rund um die Uhr kontaktieren, dieser steht Ihnen mit Rat und Tat zur Seite.
Wir bitten aber um Verständnis, dass wir Sie bei der Anpassung von Skripten nicht unterstützen können. Bitte kontaktieren Sie in diesem Fall Ihren Webseiten-Administrator, den Entwickler der Webanwendung, oder fragen im jeweiligen Forum der Webanwendung nach.

 

English Version

If the following information is too technical for you, please click [here].

Why will PHP 7.1 be disabled?

Since PHP will stop security support for PHP 7.1 on 01.12.2019, we will also deactivate version 7.1 bevore this date for security reasons.
The deactivation will be done on 29.10.2019

You will have version 7.2 and 7.3 available from this date.


Will important modules be removed in PHP 7.2 or 7.3 or are there noteworthy changes?

With PHP version 7.2 the module mcrypt is removed and is no longer available.
Alternatively the module openssl can be used.

The version of the ionCube Loader changes from version 6.0.9 to version 10.2.1 for PHP 7.2 and 7.3.

The PCRE extension has been upgraded to PCRE2, which may cause minor behavioral changes.

Other changes in PHP 7.2

Other changes in PHP 7.3


Which web applications are compatible with PHP 7.2 or PHP 7.3?

The following table shows you which common web applications are compatible with PHP 7.2 or PHP 7.3 in which version. Please note that this is about version information for the basic installation, we cannot make a statement about installed plugins or themes.

web application

PHP 7.2 compatible version

PHP 7.3 compatible version

Contao

3.5.36 

3.5.36

Contenido

4.10

4.10

Drupal

7.59

8.6.4

Joomla

3.8

3.9.1

Magento

1.9.3.9 (Installation of the Patches necessary)

not compatible

Magento 2

2.3

not compatible

ModX Revolution

2.6.5

2.7.1

ModX Evolution

1.4

no longer supported

NextCloud

13

15

OwnCloud

10.0.5

unofficial update

Oxid

v6.1

v6.1.1

Redaxo

5.6

5.7

Shopware

5.3.5

5.6

Typo3

v7

v9

Wordpress

4.9

5.0.1

xt:Commerce

5.1

6.1

 

What happens if I do nothing?

In the worst case, if you do nothing, your website may become unavailable after PHP 7.1 has been switched off. We therefore advise you to check your web application as soon as possible.


I need help. Who can I contact?

Of course you can contact our support around the clock, they are available to you with advice and assistance.
However, we ask for your understanding that we cannot support you with the adaptation of scripts. In this case, please contact your website administrator, the developer of the web application, or ask in the respective forum of the web application.


otto.friedrich@hosteurope.de xanthippe.ypsilante@hosteurope.de hercules.ikarus@hosteurope.de